#!/bin/bash
# LightDM custom event script handler
# (c) Copyright 2013 TJ <ubuntu@iam.tj>
# Licensed under the terms of the GNU General Public License version 3

[ -z "$1" ] && exit 0

EVENT=$1
BASE_DIR=$(dirname $0)
ENVIRON=$BASE_DIR/lightdm-environment

[ -r $ENVIRON ] && . $ENVIRON

if [ -d $BASE_DIR/$EVENT.d ]; then
 for script in $BASE_DIR/$EVENT.d/*.sh; do
  if ! expr index "$script" '*' >/dev/null; then
   [ -x "$script" ] && "$script" "$ENVIRON"
  fi
 done
fi

